Package commoble.morered.api.internal

# Class DefaultWireProperties

java.lang.Object
commoble.morered.api.internal.DefaultWireProperties

public class DefaultWireProperties extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final WireConnector`
`DEFAULT_CABLE_CONNECTOR`
`static final ExpandedPowerSupplier`
`DEFAULT_EXPANDED_POWER_SUPPLIER`
`static final WireConnector`
`DEFAULT_WIRE_CONNECTOR`
`static final ChanneledPowerSupplier`
`NO_POWER_SUPPLIER`
`static final net.minecraft.world.phys.shapes.VoxelShape[]`
`SMALL_NODE_SHAPES`

## Constructor Summary

Constructors
Constructor
Description
`DefaultWireProperties()`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`isRedstoneWireConnectable(net.minecraft.world.level.BlockGetter world, net.minecraft.core.BlockPos redstonePos, net.minecraft.world.level.block.state.BlockState redstoneState, net.minecraft.core.BlockPos wirePos, net.minecraft.world.level.block.state.BlockState wireState, net.minecraft.core.Direction wireFace, net.minecraft.core.Direction directionToWire)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SMALL_NODE_SHAPES

public static final net.minecraft.world.phys.shapes.VoxelShape[] SMALL_NODE_SHAPES

### DEFAULT_WIRE_CONNECTOR

public static final WireConnector DEFAULT_WIRE_CONNECTOR

### DEFAULT_EXPANDED_POWER_SUPPLIER

public static final ExpandedPowerSupplier DEFAULT_EXPANDED_POWER_SUPPLIER

### DEFAULT_CABLE_CONNECTOR

public static final WireConnector DEFAULT_CABLE_CONNECTOR

### NO_POWER_SUPPLIER

public static final ChanneledPowerSupplier NO_POWER_SUPPLIER

## Constructor Details

### DefaultWireProperties

public DefaultWireProperties()

## Method Details

### isRedstoneWireConnectable

public static boolean isRedstoneWireConnectable(net.minecraft.world.level.BlockGetter world, net.minecraft.core.BlockPos redstonePos, net.minecraft.world.level.block.state.BlockState redstoneState, net.minecraft.core.BlockPos wirePos, net.minecraft.world.level.block.state.BlockState wireState, net.minecraft.core.Direction wireFace, net.minecraft.core.Direction directionToWire)